Bug 904639 - Review Request: rubygem-unf - Wrapper library to bring Unicode Normalization Form support to Ruby/JRuby
Summary: Review Request: rubygem-unf - Wrapper library to bring Unicode Normalization ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 892314
Blocks: 904640
TreeView+ depends on / blocked
 
Reported: 2013-01-26 18:49 UTC by Mamoru TASAKA
Modified: 2016-01-04 05:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-04 09:22:28 UTC
Type: ---
jstribny: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2013-01-26 18:49:30 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-unf.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-unf-0.0.5-1.fc.src.rpm
Description: 
This is a wrapper library to bring Unicode Normalization Form support
to Ruby/JRuby.

Fedora Account System Username: mtasaka

Comment 1 Mamoru TASAKA 2013-01-26 18:52:24 UTC
This packge depends on rubygem-unf_ext, review request bug 892314 .
Local mock build log for F-19:
http://mtasaka.fedorapeople.org/Review_request/mechanize-related/MOCK-rubygem-unf.log

Comment 4 Josef Stribny 2013-10-01 14:56:31 UTC
I will take it for a review.

Comment 5 Josef Stribny 2013-10-02 08:32:07 UTC
1, There is a newer upstream version (0.1.2).

2, The %description section of -doc sub-package should end up with a dot(.).

3, You should use a macro %{gem_libdir} for lib dir instead of %{gem_instdir}/lib/

4, And again license file is not separately listed. This requires more work in the end (for me to check it, for you to check it with every update of the gem) and it's prone to error.

Otherwise rpmlint doesn't complain, package builds, installs and runs. Please fix the issues above so I can approve.

Comment 6 Mamoru TASAKA 2013-10-03 09:28:10 UTC
Thank you for comments!

http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-unf-0.1.2-1.fc.src.rpm
http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-unf.spec

* Thu Oct  3 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.1.2-1
- 0.1.2

(In reply to Josef Stribny from comment #5)
> 1, There is a newer upstream version (0.1.2).
- Updated.

> 2, The %description section of -doc sub-package should end up with a dot(.).
- Fixed

> 3, You should use a macro %{gem_libdir} for lib dir instead of
> %{gem_instdir}/lib/
- Well, I prefer to use %{gem_instdir}/lib/ because using %{gem_libdir}
  makes it difficult to show that %{gem_libdir} is the subdirectory of
  %{gem_instdir} (i.e. the parent directory of %{gem_libdir} is properly
  owned), however modified.

> 4, And again license file is not separately listed. This requires more work
> in the end (for me to check it, for you to check it with every update of the
> gem) and it's prone to error.
- I always check this... (i.e. I always unpack both the previous version
  and the new version of tarball / gem / etc, take diff to check what
  actually changed, judge if it can safely be upgraded.)

Comment 7 Josef Stribny 2013-10-03 10:47:48 UTC
> I always check this... (i.e. I always unpack both the previous version
> and the new version of tarball / gem / etc, take diff to check what
> actually changed, judge if it can safely be upgraded.)

I believe you and it's a right thing to do :). But someone working on the package in the future can overlook it, that's my point :).

Thanks for the fixes ==> APPROVED.

Comment 8 Mamoru TASAKA 2013-10-03 15:46:49 UTC
Thank you!

New Package SCM Request
=======================
Package Name: rubygem-unf
Short Description: Wrapper library to bring Unicode Normalization Form support to Ruby/JRuby
Owners: mtasaka
Branches: f18 f19 f20
InitialCC:

Comment 9 Gwyn Ciesla 2013-10-03 15:53:13 UTC
Git done (by process-git-requests).

Comment 10 Mamoru TASAKA 2013-10-04 09:22:28 UTC
Rebuilt for all branches, push requested for F-20 and below, closing.

Thank you for reviewing and git procedure.


Note You need to log in before you can comment on or make changes to this bug.